IF OBJECT_ID('View_Fil_Estima') IS NOT NULL
	DROP VIEW View_Fil_Estima
GO

CREATE VIEW View_Fil_Estima AS
SELECT
	Fil_Estima.EstimaNo,Fil_Estima.EstKbNo,Fil_EstimaInfo.esiEstName,Fil_Estima.esSeqNo,Fil_Estima.esExchKb,kbnExchNm.smkName AS ExchName,Fil_Estima.esLevelNo,Fil_Estima.esLevel1cd,Fil_Estima.esLevel1Nm,
	Fil_Estima.esLevel2cd,Fil_Estima.esLevel2Nm,Fil_Estima.esLevel3cd,Fil_Estima.esLevel3Nm,Fil_Estima.esLevel4cd,Fil_Estima.esLevel4Nm,Fil_Estima.esLevel5cd,Fil_Estima.esLevel5Nm,
	Fil_Estima.esDbuncd,Fil_Estima.esHinscd,Fil_Estima.esHincd,Fil_Estima.esHinmei0,Fil_Estima.esHinmei1,Fil_Estima.esEDenKb,kbnEZei.smkName AS esEZeiName,Fil_Estima.esESuryo,
	Fil_Estima.esETani,Fil_Estima.esETanka,Fil_Estima.esEKingaku,Fil_Estima.esEKinnuki,Fil_Estima.esEZei,
	Fil_Estima.esEZeiRateKb,
	ZeiRateE.smkName AS esEZeiRate,
	Fil_Estima.esEYosoUcd,esEYoso.YosoUNm AS esEYosoUNm,
	Fil_Estima.esCDenKb,kbnCZei.smkName AS esCZeiName,Fil_Estima.esCSuryo,Fil_Estima.esCTani,Fil_Estima.esCTanka,Fil_Estima.esCKingaku,Fil_Estima.esCKinnuki,Fil_Estima.esCZei,
	Fil_Estima.esCZeiRateKb,
	ZeiRateC.smkName AS esCZeiRate,
	Fil_Estima.esCYosoUcd,esCYoso.YosoUNm AS esCYosoUNm,Fil_Estima.esShiirecd,Mst_Gyosya.mgyRyakuName,Fil_Estima.esMemo1,Fil_Estima.esMemo2,
	CASE WHEN Fil_Estima.esEZeiRateKb IS NULL THEN NULL ELSE COALESCE(Fil_Estima.esEZeiType,0) END AS esEZeiType,
	CASE WHEN ZeiRateE.smkName IS NULL THEN NULL ELSE ZeiTypeE.smkName END AS esEZeiTypeNm,
	CASE WHEN Fil_Estima.esCZeiRateKb IS NULL THEN NULL ELSE COALESCE(Fil_Estima.esCZeiType,0) END AS esCZeiType,
	CASE WHEN ZeiRateC.smkName IS NULL THEN NULL ELSE ZeiTypeC.smkName END AS esCZeiTypeNm
FROM
	Fil_Estima
LEFT OUTER JOIN
	Fil_EstimaInfo
ON
	Fil_Estima.EstimaNo = Fil_EstimaInfo.EstimaNo
	AND
	Fil_Estima.EstKbNo = Fil_EstimaInfo.EstKbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnExchNm
ON
	kbnExchNm.smkTblID = 'KbnF_Exch'
	AND
	Fil_Estima.esExchKb = kbnExchNm.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnEZei
ON
	kbnEZei.smkTblID = 'KbnT_Denpyo30'
	AND
	Fil_Estima.esEDenKb = kbnEZei.smkSeqNo
LEFT OUTER JOIN 
	Set_MstKbn AS ZeiRateE 
ON 
	Fil_Estima.esEZeiRateKb = ZeiRateE.smkSeqNo 
	AND ZeiRateE.smkTblID = 'KbnT_ZeiRate'
LEFT OUTER JOIN 
	Set_MstKbn AS ZeiTypeE 
ON 
	COALESCE(Fil_Estima.esEZeiType,0) = ZeiTypeE.smkSeqNo 
	AND ZeiTypeE.smkTblID = 'KbnT_ZeiType'
LEFT OUTER JOIN
	Mst_YosoU AS esEYoso
ON
	Fil_Estima.esEYosoUcd = esEYoso.YosoUcd
LEFT OUTER JOIN
	Set_MstKbn AS kbnCZei
ON
	kbnCZei.smkTblID = 'KbnT_Denpyo30'
	AND
	Fil_Estima.esCDenKb = kbnCZei.smkSeqNo
LEFT OUTER JOIN
	Mst_YosoU AS esCYoso
ON
	Fil_Estima.esCYosoUcd = esCYoso.YosoUcd
LEFT OUTER JOIN 
	Set_MstKbn AS ZeiRateC 
ON 
	Fil_Estima.esCZeiRateKb = ZeiRateC.smkSeqNo 
	AND ZeiRateC.smkTblID = 'KbnT_ZeiRate'
LEFT OUTER JOIN 
	Set_MstKbn AS ZeiTypeC
ON 
	COALESCE(Fil_Estima.esCZeiType,0) = ZeiTypeC.smkSeqNo 
	AND ZeiTypeC.smkTblID = 'KbnT_ZeiType'
LEFT OUTER JOIN
	Mst_Gyosya
ON
	Fil_Estima.esShiirecd = Mst_Gyosya.Shiirecd
GO