IF OBJECT_ID('View_Fil_EstimaInfo') IS NOT NULL
	DROP VIEW View_Fil_EstimaInfo
GO

CREATE VIEW View_Fil_EstimaInfo AS
SELECT EstimaNo,EstKbNo,esiEstName,esiFurigana,esiEstDate,esiSyaincd01,esiTantoName,esiChumoncd,esiChumon1,esiChumon2,esiKeisyou,esiBumoncd,mbuBumon,esiPostNo,esiAddr1,esiAddr2,
       esiBasyo1,esiBasyo2,esiGaiyo1,esiGaiyo2,esiGaiyo3,esiGaiyo4,esiKkymd,esiKsymd,esiShJyoken,esiLimDateSt,esiMiItem01,esiMiItem02,esiMiItem03,esiMiItem04,esiMiItem05,
	   esiHacchuKb,kbnhac.smkName AS HacchuNm,esiSignKb,kbnsign.smkName AS SignNm,esiTankaKb,kbntan.smkName AS TankaNm,esiCostKb,kbncost.smkName AS CostNm,esiZeikeiKb,kbnzeikei.smkName AS ZeikeiNm,
	   esiZeiRateKb,kbnzeira.smkName AS ZeiRateNm,esiNetKinnuki,esiNetZei,esiMemo1,esiMemo2,esiMemo3,esiMemo4,esiMemo5,esiJyocd1,kbnjyo1.smkName AS JyoNm1,esiJyocd2,kbnjyo2.smkName AS JyoNm2,
	   esiJyocd3,kbnjyo3.smkName AS JyoNm3,esiJyocd4,kbnjyo4.smkName AS JyoNm4,esiJyocd5,kbnjyo5.smkName AS JyoNm5,esiJyocd6,kbnjyo6.smkName AS JyoNm6,esiJyocd7,kbnjyo7.smkName AS JyoNm7,
	   esiJyocd8,kbnjyo8.smkName AS JyoNm8,esiFloorSpace1,esiFloorSpace2,esiFloorSpace3,esiFloorSpace4,esiFloorSpace5,esiFloorSpace6,esiZeiType,kbnzeity.smkName AS ZeiTypeNm
FROM Fil_EstimaInfo
LEFT OUTER JOIN Mst_Bumon ON esiBumoncd = Mst_Bumon.Bumoncd
LEFT OUTER JOIN Set_MstKbn AS kbnhac ON kbnhac.smkTblID = 'Kbn_Hacchu' AND kbnhac.smkSeqNo = esiHacchuKb
LEFT OUTER JOIN Set_MstKbn AS kbnsign ON kbnsign.smkTblID = 'Kbn_Reach' AND kbnsign.smkSeqNo = esiSignKb
LEFT OUTER JOIN Set_MstKbn AS kbntan ON kbntan.smkTblID = 'Kbn_Tanka' AND kbntan.smkSeqNo = esiTankaKb
LEFT OUTER JOIN Set_MstKbn AS kbncost ON kbncost.smkTblID = 'KbnF_YesNo1' AND kbncost.smkSeqNo = esiCostKb
LEFT OUTER JOIN Set_MstKbn AS kbnzeikei ON kbnzeikei.smkTblID = 'KbnF_MitZeikei' AND kbnzeikei.smkSeqNo = esiZeikeiKb
LEFT OUTER JOIN Set_MstKbn AS kbnzeira ON kbnzeira.smkTblID = 'KbnT_ZeiRate' AND kbnzeira.smkSeqNo = esiZeiRateKb
LEFT OUTER JOIN Set_MstKbn AS kbnzeity ON kbnzeity.smkTblID = 'KbnT_ZeiType' AND kbnzeity.smkSeqNo = COALESCE(esiZeiType,0)
LEFT OUTER JOIN Set_MstKbn AS kbnjyo1 ON kbnjyo1.smkTblID = 'Mst_Jyoken1' AND kbnjyo1.smkSeqNo = esiJyocd1
LEFT OUTER JOIN Set_MstKbn AS kbnjyo2 ON kbnjyo2.smkTblID = 'Mst_Jyoken2' AND kbnjyo2.smkSeqNo = esiJyocd2
LEFT OUTER JOIN Set_MstKbn AS kbnjyo3 ON kbnjyo3.smkTblID = 'Mst_Jyoken3' AND kbnjyo3.smkSeqNo = esiJyocd3
LEFT OUTER JOIN Set_MstKbn AS kbnjyo4 ON kbnjyo4.smkTblID = 'Mst_Jyoken4' AND kbnjyo4.smkSeqNo = esiJyocd4
LEFT OUTER JOIN Set_MstKbn AS kbnjyo5 ON kbnjyo5.smkTblID = 'Mst_Jyoken5' AND kbnjyo5.smkSeqNo = esiJyocd5
LEFT OUTER JOIN Set_MstKbn AS kbnjyo6 ON kbnjyo6.smkTblID = 'Mst_Jyoken6' AND kbnjyo6.smkSeqNo = esiJyocd6
LEFT OUTER JOIN Set_MstKbn AS kbnjyo7 ON kbnjyo7.smkTblID = 'Mst_Jyoken7' AND kbnjyo7.smkSeqNo = esiJyocd7
LEFT OUTER JOIN Set_MstKbn AS kbnjyo8 ON kbnjyo8.smkTblID = 'Mst_Jyoken8' AND kbnjyo8.smkSeqNo = esiJyocd8
