IF OBJECT_ID('View_Fil_Estima_List') IS NOT NULL
	DROP VIEW View_Fil_Estima_List
GO

CREATE VIEW View_Fil_Estima_List AS
SELECT
	Fil_EstimaInfo.EstimaNo,Fil_EstimaInfo.EstKbNo,Fil_EstimaInfo.esiEstName,Fil_EstimaInfo.esiEstDate,Fil_EstimaInfo.esiChumoncd,Fil_EstimaInfo.esiChumon1,Fil_EstimaInfo.esiChumon2,
	Fil_EstimaInfo.esiSyaincd01,Fil_EstimaInfo.esiTantoName,Estima.EKinnuki,Estima.EZei,(Estima.EKinnuki + Estima.EZei) AS EKingaku,
	Estima.CKinnuki,Estima.CZei,(Estima.CKinnuki + Estima.CZei) AS CKingaku,(Estima.EKinnuki - Estima.CKinnuki) AS ArariKinnuki,
	((Estima.EKinnuki + Estima.EZei) - (Estima.CKinnuki + Estima.CZei)) AS ArariKingaku,
	CASE COALESCE(Estima.EKinnuki,0) WHEN 0 THEN 0 ELSE ((COALESCE(Estima.EKinnuki,0)-COALESCE(Estima.CKinnuki,0))/COALESCE(Estima.EKinnuki,0)) * 100 END AS ArariRate,
	Fil_EstimaInfo.esiKkymd,Fil_EstimaInfo.esiKsymd,Fil_EstimaInfo.esiBumoncd,Mst_Bumon.mbuBumon,Fil_EstimaInfo.esiHacchuKb,kbnHacchu.smkName AS kbnHacchuName,
	Fil_EstimaInfo.esiSignKb,kbnSign.smkName AS kbnSignName,Fil_EstimaInfo.esiLimDateSt,Fil_EstimaInfo.esiShJyoken,Fil_EstimaInfo.esiMiItem01,Fil_EstimaInfo.esiMiItem02,Fil_EstimaInfo.esiMiItem03,
	Fil_EstimaInfo.esiMiItem04,Fil_EstimaInfo.esiMiItem05,Fil_EstimaInfo.esiJyocd1,JyoName1.smkName AS esiJyoName1,Fil_EstimaInfo.esiJyocd2,JyoName2.smkName AS esiJyoName2,
	Fil_EstimaInfo.esiJyocd3,JyoName3.smkName AS esiJyoName3,Fil_EstimaInfo.esiJyocd4,JyoName4.smkName AS esiJyoName4,Fil_EstimaInfo.esiJyocd5,JyoName5.smkName AS esiJyoName5
FROM
	Fil_EstimaInfo
LEFT JOIN (SELECT Fil_Estima.EstimaNo, Fil_Estima.EstKbNo, 
		SUM(CASE WHEN COALESCE(esExchKb,0) >= 51 AND COALESCE(esExchKb,0) <= 53 THEN 0 ELSE COALESCE(esEKinnuki,0) END) AS EKinnuki, 
		SUM(CASE WHEN COALESCE(esExchKb,0) >= 51 AND COALESCE(esExchKb,0) <= 53 THEN 0 ELSE COALESCE(esEZei,0) + COALESCE(esESCZei,0) END) AS EZei, 
		SUM(CASE WHEN COALESCE(esExchKb,0) >= 51 AND COALESCE(esExchKb,0) <= 53 THEN 0 ELSE COALESCE(esCKinnuki,0) END) AS CKinnuki, 
		SUM(CASE WHEN COALESCE(esExchKb,0) >= 51 AND COALESCE(esExchKb,0) <= 53 THEN 0 ELSE COALESCE(esCZei,0) END) AS CZei 
	FROM 
		Fil_Estima
	LEFT JOIN 
		Fil_EstimaInfo 
	ON 
		Fil_Estima.EstimaNo = Fil_EstimaInfo.EstimaNo 
		AND 
		Fil_Estima.EstKbNo = Fil_EstimaInfo.EstKbNo
	WHERE 
		esLevelNo = CASE WHEN esiLevelKb = 1 THEN 4 ELSE 6 END OR esExchKb <> 0 
	GROUP BY 
		Fil_Estima.EstimaNo, Fil_Estima.EstKbNo) AS Estima
ON 
	Fil_EstimaInfo.EstimaNo = Estima.EstimaNo AND Fil_EstimaInfo.EstKbNo = Estima.EstKbNo
LEFT OUTER JOIN
	Mst_Bumon
ON
	Fil_EstimaInfo.esiBumoncd = Mst_Bumon.Bumoncd
LEFT OUTER JOIN
	Set_MstKbn AS kbnHacchu
ON
	kbnHacchu.smkTblID = 'Kbn_Hacchu'
	AND
	Fil_EstimaInfo.esiHacchuKb = kbnHacchu.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnSign
ON
	kbnSign.smkTblID = 'Kbn_Reach'
	AND
	Fil_EstimaInfo.esiSignKb = kbnSign.smkSeqNo
LEFT OUTER JOIN 
	Set_MstKbn AS JyoName1 
ON 
	Fil_EstimaInfo.esiJyocd1=JyoName1.smkSeqNo 
	AND 
	JyoName1.smkTblID='Mst_Jyoken1'
LEFT OUTER JOIN 
	Set_MstKbn AS JyoName2 
ON 
	Fil_EstimaInfo.esiJyocd2=JyoName2.smkSeqNo 
	AND 
	JyoName2.smkTblID='Mst_Jyoken2'
LEFT OUTER JOIN 
	Set_MstKbn AS JyoName3 
ON 
	Fil_EstimaInfo.esiJyocd1=JyoName3.smkSeqNo 
	AND 
	JyoName3.smkTblID='Mst_Jyoken3'
LEFT OUTER JOIN 
	Set_MstKbn AS JyoName4 
ON 
	Fil_EstimaInfo.esiJyocd4=JyoName4.smkSeqNo 
	AND 
	JyoName4.smkTblID='Mst_Jyoken4'
LEFT OUTER JOIN 
	Set_MstKbn AS JyoName5 
ON 
	Fil_EstimaInfo.esiJyocd5=JyoName5.smkSeqNo 
	AND 
	JyoName5.smkTblID='Mst_Jyoken5'
GO

