IF OBJECT_ID('View_Fil_HacIrai') IS NOT NULL
	DROP VIEW View_Fil_HacIrai
GO

CREATE VIEW View_Fil_HacIrai AS
SELECT 
	Fil_HacIrai.hiHacchuDate,Fil_HacIrai.hiChumonNo,Fil_HacIrai.hiChumonKbNo,Fil_HacIrai.hiShiirecd,Mst_Gyosya.mgyRyakuName,Fil_HacIrai.hiKojiNo,Fil_HacIrai.hiKbNo,
	Mst_KojiBase.mkbRyakuName,Mst_Gyosya.mgyTel,Mst_Gyosya.mgyFax,kbngy.smkName AS GyosyaNm,mgyShimebi,kbnzk.smkName AS ZeikeiName,kbnzh.smkName AS ZeihasuName,
	sumHacIrai.sumKinnuki,sumHacIrai.sumZei,(sumHacIrai.sumKinnuki + sumHacIrai.sumZei) AS sumKingaku,Fil_HacIrai.hiSeqNo,Fil_HacIrai.hiExchKb,kbnExchNm.smkName AS ExchName,
	Fil_HacIrai.hiLevel1cd,Fil_HacIrai.hiLevel1Nm,Fil_HacIrai.hiLevel2cd,Fil_HacIrai.hiLevel2Nm,Fil_HacIrai.hiLevel3cd,Fil_HacIrai.hiLevel3Nm,
	Fil_HacIrai.hiDbuncd,Fil_HacIrai.hiHinscd,Fil_HacIrai.hiHincd,Fil_HacIrai.hiHinmei0,Fil_HacIrai.hiHinmei1,Fil_HacIrai.hiDenKb,kbnZei.smkName AS ZeiName,
	Fil_HacIrai.hiSuryo,Fil_HacIrai.hiTani,Fil_HacIrai.hiTanka,Fil_HacIrai.hiKingaku,Fil_HacIrai.hiKinnuki,
	Fil_HacIrai.hiZeiRateKb,
	ZeiRate.smkName AS hiZeiRateName,
	Fil_HacIrai.hiZei,
	Fil_HacIrai.hiYosoUcd,Mst_YosoU.YosoUNm,Fil_HacIrai.hiMemo1,Fil_HacIrai.hiMemo2,
	CASE WHEN Fil_HacIrai.hiZeiRateKb IS NULL THEN NULL ELSE COALESCE(Fil_HacIrai.hiZeiType,0) END AS hiZeiType,
	CASE WHEN ZeiRate.smkName IS NULL THEN NULL ELSE ZeiType.smkName END AS hiZeiTypeName
FROM
	Fil_HacIrai
LEFT OUTER JOIN
	Mst_Gyosya
ON
	Fil_HacIrai.hiShiirecd = Mst_Gyosya.Shiirecd
LEFT OUTER JOIN
	Mst_KojiBase
ON
	Fil_HacIrai.hiKojiNo = Mst_KojiBase.KojiNo
	AND
	Fil_HacIrai.hiKbNo = Mst_KojiBase.KbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbngy
ON
	kbngy.smkTblID = 'Kbn_Gyosya'
	AND
	Mst_Gyosya.mgyGyosyaKb = kbngy.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzk
ON
	kbnzk.smkTblID = 'KbnF_Zeikei'
	AND
	Mst_Gyosya.mgyZeikeiKb = kbnzk.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzh
ON
	kbnzh.smkTblID = 'KbnF_Hasu'
	AND
	Mst_Gyosya.mgyZeihasuKb = kbnzh.smkSeqNo
LEFT OUTER JOIN
(
	SELECT 
		Fil_HacIrai.hiChumonNo AS sumChumonNo,Fil_HacIrai.hiChumonKbNo AS sumChumonKbNo,SUM(Fil_HacIrai.hiKinnuki) AS sumKinnuki,SUM(Fil_HacIrai.hiZei + COALESCE(Fil_HacIrai.hiSCZei,0)) AS sumZei
	FROM 
		Fil_HacIrai
	WHERE 
		Fil_HacIrai.hiLevelNo=4
	GROUP BY
		Fil_HacIrai.hiChumonNo,Fil_HacIrai.hiChumonKbNo) AS sumHacIrai
ON
	sumHacIrai.sumChumonNo = Fil_HacIrai.hiChumonNo
	AND
	sumHacIrai.sumChumonKbNo = Fil_HacIrai.hiChumonKbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnExchNm
ON
	kbnExchNm.smkTblID = 'KbnF_Exch'
	AND
	Fil_HacIrai.hiExchKb = kbnExchNm.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnZei
ON
	kbnZei.smkTblID = 'KbnT_Denpyo30'
	AND
	Fil_HacIrai.hiDenKb = kbnZei.smkSeqNo
LEFT OUTER JOIN
	Mst_YosoU
ON
	Fil_HacIrai.hiYosoUcd = Mst_YosoU.YosoUcd
LEFT OUTER JOIN 
	Set_MstKbn AS ZeiRate
ON 
	Fil_HacIrai.hiZeiRateKb = ZeiRate.smkSeqNo 
	AND ZeiRate.smkTblID = 'KbnT_ZeiRate'
LEFT OUTER JOIN 
	Set_MstKbn AS ZeiType
ON 
	COALESCE(Fil_HacIrai.hiZeiType,0) = ZeiType.smkSeqNo 
	AND ZeiType.smkTblID = 'KbnT_ZeiType'
GO
