IF OBJECT_ID('View_Fil_HacIraiInfo') IS NOT NULL
	DROP VIEW View_Fil_HacIraiInfo
GO

CREATE VIEW View_Fil_HacIraiInfo AS
SELECT 
	Fil_HacIraiInfo.hiiHacchuDate,Fil_HacIraiInfo.hiiChumonNo,Fil_HacIraiInfo.hiiChumonKbNo,Fil_HacIraiInfo.hiiShiirecd,Mst_Gyosya.mgyRyakuName,Fil_HacIraiInfo.hiiKojiNo,Fil_HacIraiInfo.hiiKbNo,Mst_KojiBase.mkbRyakuName,
	Mst_Gyosya.mgyTel,Mst_Gyosya.mgyFax,kbngy.smkName AS GyosyaNm,mgyShimebi,kbnzk.smkName AS ZeikeiName,kbnzh.smkName AS ZeihasuName,
	sumHacchu.sumKinnuki,sumHacchu.sumZei,(sumHacchu.sumKinnuki + sumHacchu.sumZei) AS sumKingaku,
	Fil_HacIraiInfo.hiiHacTypeKb,kbnHac.smkName AS hiiHacTypeKbName,Mst_KojiBase.mkbKojiName,Mst_KojiBase.mkbBasyo1,Fil_HacIraiInfo.hiiHacchuIraiNm,Fil_HacIraiInfo.hiiMemoKb,
	Fil_HacIraiInfo.hiiShimebi,Fil_HacIraiInfo.hiiShmm,Fil_HacIraiInfo.hiiShdd,Fil_HacIraiInfo.hiiMaeKin,Fil_HacIraiInfo.hiiShRate,Fil_HacIraiInfo.hiiGenRate,Fil_HacIraiInfo.hiiTegataRate,Fil_HacIraiInfo.hiiTegataSaito,
	Fil_HacIraiInfo.hiiDelayRate1,Fil_HacIraiInfo.hiiDelayRate2,Fil_HacIraiInfo.hiiOverPayRate,Fil_HacIraiInfo.hiiWarrantyDate,Fil_HacIraiInfo.hiiSaiboRitu29,Fil_HacIraiInfo.hiiLinkInfo1,Fil_HacIraiInfo.hiiLinkInfo2,
	Fil_HacIraiInfo.hiiKkYmd,Fil_HacIraiInfo.hiiKsYmd,Fil_HacIraiInfo.hiiSYmd
FROM
	Fil_HacIraiInfo
LEFT OUTER JOIN
	Mst_Gyosya
ON
	Fil_HacIraiInfo.hiiShiirecd = Mst_Gyosya.Shiirecd
LEFT OUTER JOIN
	Mst_KojiBase
ON
	Fil_HacIraiInfo.hiiKojiNo = Mst_KojiBase.KojiNo
	AND
	Fil_HacIraiInfo.hiiKbNo = Mst_KojiBase.KbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbngy
ON
	kbngy.smkTblID = 'Kbn_Gyosya'
	AND
	Mst_Gyosya.mgyGyosyaKb = kbngy.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzk
ON
	kbnzk.smkTblID = 'KbnF_Zeikei'
	AND
	Mst_Gyosya.mgyZeikeiKb = kbnzk.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzh
ON
	kbnzh.smkTblID = 'KbnF_Hasu'
	AND
	Mst_Gyosya.mgyZeihasuKb = kbnzh.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnHac
ON
	kbnHac.smkTblID = 'Kbn_HacType'
	AND
	Fil_HacIraiInfo.hiiHacTypeKb = kbnHac.smkSeqNo
LEFT OUTER JOIN
(
	SELECT 
		Fil_HacIrai.hiChumonNo AS sumChumonNo,Fil_HacIrai.hiChumonKbNo AS sumChumonKbNo,SUM(Fil_HacIrai.hiKinnuki) AS sumKinnuki,SUM(Fil_HacIrai.hiZei + COALESCE(Fil_HacIrai.hiSCZei,0)) AS sumZei
	FROM 
		Fil_HacIrai
	WHERE 
		Fil_HacIrai.hiLevelNo=4
	GROUP BY
		Fil_HacIrai.hiChumonNo,Fil_HacIrai.hiChumonKbNo) AS sumHacchu
ON
	sumHacchu.sumChumonNo = Fil_HacIraiInfo.hiiChumonNo
	AND
	sumHacchu.sumChumonKbNo = Fil_HacIraiInfo.hiiChumonKbNo
GO
