IF OBJECT_ID('View_Fil_Hacchu') IS NOT NULL
	DROP VIEW View_Fil_Hacchu
GO

CREATE VIEW View_Fil_Hacchu AS
SELECT 
	Fil_Hacchu.haHacchuDate,Fil_Hacchu.haChumonNo,Fil_Hacchu.haChumonKbNo,Fil_Hacchu.haShiirecd,Mst_Gyosya.mgyRyakuName,Fil_Hacchu.haKojiNo,Fil_Hacchu.haKbNo,
	Mst_KojiBase.mkbRyakuName,Mst_Gyosya.mgyTel,Mst_Gyosya.mgyFax,kbngy.smkName AS GyosyaNm,mgyShimebi,kbnzk.smkName AS ZeikeiName,kbnzh.smkName AS ZeihasuName,
	Fil_Hacchu.ha_hiChumonNo,Fil_Hacchu.ha_hiChumonKbNo,sumHacchu.sumKinnuki,sumHacchu.sumZei,(sumHacchu.sumKinnuki + sumHacchu.sumZei) AS sumKingaku,Fil_Hacchu.haSeqNo,
	Fil_Hacchu.haExchKb,kbnExchNm.smkName AS ExchName,Fil_Hacchu.haLevel1cd,Fil_Hacchu.haLevel1Nm,Fil_Hacchu.haLevel2cd,Fil_Hacchu.haLevel2Nm,Fil_Hacchu.haLevel3cd,Fil_Hacchu.haLevel3Nm,
	Fil_Hacchu.haDbuncd,Fil_Hacchu.haHinscd,Fil_Hacchu.haHincd,Fil_Hacchu.haHinmei0,Fil_Hacchu.haHinmei1,Fil_Hacchu.haDenKb,kbnZei.smkName AS ZeiName,
	Fil_Hacchu.haSuryo,Fil_Hacchu.haTani,Fil_Hacchu.haTanka,Fil_Hacchu.haKingaku,Fil_Hacchu.haKinnuki,
	Fil_Hacchu.haZeiRateKb,ZeiRate.smkName AS haZeiRateName,
	Fil_Hacchu.haZei,Fil_Hacchu.haYosoUcd,Mst_YosoU.YosoUNm,Fil_Hacchu.haMemo1,Fil_Hacchu.haMemo2,
	CASE WHEN Fil_Hacchu.haZeiRateKb IS NULL THEN NULL ELSE COALESCE(Fil_Hacchu.haZeiType,0) END AS haZeiType,
	CASE WHEN ZeiRate.smkName IS NULL THEN NULL ELSE ZeiType.smkName END AS haZeiTypeName
FROM
	Fil_Hacchu
LEFT OUTER JOIN
	Mst_Gyosya
ON
	Fil_Hacchu.haShiirecd = Mst_Gyosya.Shiirecd
LEFT OUTER JOIN
	Mst_KojiBase
ON
	Fil_Hacchu.haKojiNo = Mst_KojiBase.KojiNo
	AND
	Fil_Hacchu.haKbNo = Mst_KojiBase.KbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbngy
ON
	kbngy.smkTblID = 'Kbn_Gyosya'
	AND
	Mst_Gyosya.mgyGyosyaKb = kbngy.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzk
ON
	kbnzk.smkTblID = 'KbnF_Zeikei'
	AND
	Mst_Gyosya.mgyZeikeiKb = kbnzk.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzh
ON
	kbnzh.smkTblID = 'KbnF_Hasu'
	AND
	Mst_Gyosya.mgyZeihasuKb = kbnzh.smkSeqNo
LEFT OUTER JOIN
(
	SELECT 
		Fil_Hacchu.haChumonNo AS sumChumonNo,Fil_Hacchu.haChumonKbNo AS sumChumonKbNo,SUM(Fil_Hacchu.haKinnuki) AS sumKinnuki,SUM(Fil_Hacchu.haZei + COALESCE(Fil_Hacchu.haSCZei,0)) AS sumZei
	FROM 
		Fil_Hacchu
	WHERE 
		Fil_Hacchu.haLevelNo=4
	GROUP BY
		Fil_Hacchu.haChumonNo,Fil_Hacchu.haChumonKbNo) AS sumHacchu
ON
	sumHacchu.sumChumonNo = Fil_Hacchu.haChumonNo
	AND
	sumHacchu.sumChumonKbNo = Fil_Hacchu.haChumonKbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnExchNm
ON
	kbnExchNm.smkTblID = 'KbnF_Exch'
	AND
	Fil_Hacchu.haExchKb = kbnExchNm.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnZei
ON
	kbnZei.smkTblID = 'KbnT_Denpyo30'
	AND
	Fil_Hacchu.haDenKb = kbnZei.smkSeqNo
LEFT OUTER JOIN
	Mst_YosoU
ON
	Fil_Hacchu.haYosoUcd = Mst_YosoU.YosoUcd
LEFT OUTER JOIN 
	Set_MstKbn AS ZeiRate 
ON 
	Fil_Hacchu.haZeiRateKb = ZeiRate.smkSeqNo 
	AND ZeiRate.smkTblID = 'KbnT_ZeiRate'
LEFT OUTER JOIN 
	Set_MstKbn AS ZeiType
ON 
	COALESCE(Fil_Hacchu.haZeiType,0) = ZeiType.smkSeqNo 
	AND ZeiType.smkTblID = 'KbnT_ZeiType'
GO
