IF OBJECT_ID('View_Fil_HacchuInfo') IS NOT NULL
	DROP VIEW View_Fil_HacchuInfo
GO

CREATE VIEW View_Fil_HacchuInfo AS
SELECT 
	Fil_HacchuInfo.haiHacchuDate,Fil_HacchuInfo.haiChumonNo,Fil_HacchuInfo.haiChumonKbNo,Fil_HacchuInfo.haiShiirecd,Mst_Gyosya.mgyRyakuName,Fil_HacchuInfo.haiKojiNo,Fil_HacchuInfo.haiKbNo,Mst_KojiBase.mkbRyakuName,
	Mst_Gyosya.mgyTel,Mst_Gyosya.mgyFax,kbngy.smkName AS GyosyaNm,mgyShimebi,kbnzk.smkName AS ZeikeiName,kbnzh.smkName AS ZeihasuName,
	Fil_HacchuInfo.hai_hiChumonNo,Fil_HacchuInfo.hai_hiChumonKbNo,sumHacchu.sumKinnuki,sumHacchu.sumZei,(sumHacchu.sumKinnuki + sumHacchu.sumZei) AS sumKingaku,
	Fil_HacchuInfo.haiHacTypeKb,kbnHac.smkName AS haiHacTypeKbName,Mst_KojiBase.mkbKojiName,Mst_KojiBase.mkbBasyo1,Fil_HacchuInfo.haiHacchuNm,Fil_HacchuInfo.haiMemoKb,
	Fil_HacchuInfo.haiShimebi,Fil_HacchuInfo.haiShmm,Fil_HacchuInfo.haiShdd,Fil_HacchuInfo.haiMaeKin,Fil_HacchuInfo.haiShRate,Fil_HacchuInfo.haiGenRate,Fil_HacchuInfo.haiTegataRate,Fil_HacchuInfo.haiTegataSaito,
	Fil_HacchuInfo.haiDelayRate1,Fil_HacchuInfo.haiDelayRate2,Fil_HacchuInfo.haiOverPayRate,Fil_HacchuInfo.haiWarrantyDate,Fil_HacchuInfo.haiSaiboRitu29,Fil_HacchuInfo.haiLinkInfo1,Fil_HacchuInfo.haiLinkInfo2,
	Fil_HacchuInfo.haiKkYmd,Fil_HacchuInfo.haiKsYmd,Fil_HacchuInfo.haiSYmd,Fil_HacchuInfo.haiNonyuBasyo1,Fil_HacchuInfo.haiNonyuBasyo2
FROM
	Fil_HacchuInfo
LEFT OUTER JOIN
	Mst_Gyosya
ON
	Fil_HacchuInfo.haiShiirecd = Mst_Gyosya.Shiirecd
LEFT OUTER JOIN
	Mst_KojiBase
ON
	Fil_HacchuInfo.haiKojiNo = Mst_KojiBase.KojiNo
	AND
	Fil_HacchuInfo.haiKbNo = Mst_KojiBase.KbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbngy
ON
	kbngy.smkTblID = 'Kbn_Gyosya'
	AND
	Mst_Gyosya.mgyGyosyaKb = kbngy.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzk
ON
	kbnzk.smkTblID = 'KbnF_Zeikei'
	AND
	Mst_Gyosya.mgyZeikeiKb = kbnzk.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzh
ON
	kbnzh.smkTblID = 'KbnF_Hasu'
	AND
	Mst_Gyosya.mgyZeihasuKb = kbnzh.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnHac
ON
	kbnHac.smkTblID = 'Kbn_HacType'
	AND
	Fil_HacchuInfo.haiHacTypeKb = kbnHac.smkSeqNo
LEFT OUTER JOIN
(
	SELECT 
		Fil_Hacchu.haChumonNo AS sumChumonNo,Fil_Hacchu.haChumonKbNo AS sumChumonKbNo,SUM(Fil_Hacchu.haKinnuki) AS sumKinnuki,SUM(Fil_Hacchu.haZei + COALESCE(Fil_Hacchu.haSCZei,0)) AS sumZei
	FROM 
		Fil_Hacchu
	WHERE 
		Fil_Hacchu.haLevelNo=4
	GROUP BY
		Fil_Hacchu.haChumonNo,Fil_Hacchu.haChumonKbNo) AS sumHacchu
ON
	sumHacchu.sumChumonNo = Fil_HacchuInfo.haiChumonNo
	AND
	sumHacchu.sumChumonKbNo = Fil_HacchuInfo.haiChumonKbNo
GO
