IF OBJECT_ID('View_Fil_NipoU') IS NOT NULL
	DROP VIEW View_Fil_NipoU
GO

CREATE VIEW View_Fil_NipoU AS 
SELECT
	Fil_NipoU.nuYmd,Fil_NipoU.nuInpUNo,Fil_NipoU.nuSeikyuYmd,Fil_NipoU.nuChumoncd,Mst_Chumon.mchRyakuName,Fil_NipoU.nuKojiNo,Fil_NipoU.nuKbNo,Mst_KojiBase.mkbRyakuName,
	Mst_Chumon.mchTel,Mst_Chumon.mchFax,Mst_Chumon.mchKaitancd,Mst_Syain.Syain,Mst_Chumon.mchShimebi,Mst_Chumon.mchZeikeiKb,ZeikeiName.smkName AS mchZeikeiName,Mst_Chumon.mchZeihasuKb,HasuName.smkName AS mchZeihasuName,
	Fil_NipoDenU.nduMemo1,Fil_NipoU.nuSeikyuNo,Fil_NipoU.nuSeikyuShmDate,t1.t1Sum AS SumKinnuki,t2.t2Sum AS SumZei,t1.t1Sum + t2.t2Sum AS SumKinKomi,Fil_NipoU.nuDbuncd,Fil_NipoU.nuHinscd,Fil_NipoU.nuHincd,Fil_NipoU.nuHinmei0,Fil_NipoU.nuHinmei1,
	Fil_NipoU.nuDenKb,DenName.smkName AS nuDenName,Fil_NipoU.nuSuryo,Fil_NipoU.nuTani,Fil_NipoU.nuTanka,Fil_NipoU.nuKingaku,Fil_NipoU.nuKinnuki,
	Fil_NipoU.nuZeiRateKb,ZeiRate.smkName AS nuZeiRateName,CASE WHEN ZeiRate.smkName IS NULL THEN NULL ELSE ZeiType.smkName END AS nuZeiTypeName,
	COALESCE(Fil_NipoU.nuZei,0)+COALESCE(Fil_NipoU.nuSCZei,0) As nuZei,COALESCE(Fil_NipoU.nuKinnuki,0)+COALESCE(Fil_NipoU.nuZei,0)+COALESCE(Fil_NipoU.nuSCZei,0) As nuKinkomi,
	Fil_NipoU.nuYosoUcd,Mst_YosoU.YosoUNm,Fil_NipoU.nuMemo1,Fil_NipoU.nuMemo2,
	CASE WHEN Fil_NipoU.nuZeiRateKb IS NULL THEN NULL ELSE COALESCE(Fil_NipoU.nuZeiType,0) END AS nuZeiType,
	Fil_NipoU.nuCDSeqNo,Fil_NipoU.nuExchKb,ExchName.smkName AS nuExchName
FROM
	Fil_NipoU
LEFT OUTER JOIN Fil_NipoDenU ON Fil_NipoU.nuInpUNo=Fil_NipoDenU.nduInpUNo
LEFT OUTER JOIN Mst_Chumon ON Fil_NipoU.nuChumoncd=Mst_Chumon.Chumoncd
LEFT OUTER JOIN Mst_Syain ON Mst_Chumon.mchKaitancd=Mst_Syain.Syaincd
LEFT OUTER JOIN Mst_KojiBase ON Mst_KojiBase.KojiNo=Fil_NipoU.nuKojiNo AND Mst_KojiBase.KbNo=Fil_NipoU.nuKbNo
LEFT OUTER JOIN Set_MstKbn AS ZeikeiName ON Mst_Chumon.mchZeikeiKb= ZeikeiName.smkSeqNo AND  ZeikeiName.smkTblID='KbnF_Zeikei' 
LEFT OUTER JOIN Set_MstKbn AS HasuName ON Mst_Chumon.mchZeihasuKb= HasuName.smkSeqNo AND  HasuName.smkTblID='KbnF_Hasu' 
LEFT OUTER JOIN Set_MstKbn AS DenName ON Fil_NipoU.nuDenKb= DenName.smkSeqNo AND  DenName.smkTblID='KbnT_Denpyo30'
LEFT OUTER JOIN Mst_YosoU ON Fil_NipoU.nuYosoUcd=Mst_YosoU.YosoUcd AND Mst_YosoU.YodcKb=2
LEFT OUTER JOIN (SELECT SUM(Fil_NipoU.nuKinnuki) AS t1Sum,Fil_NipoU.nuInpUNo AS t1Inp FROM Fil_NipoU GROUP BY Fil_NipoU.nuInpUNo) AS t1 ON t1.t1Inp=Fil_NipoU.nuInpUNo
LEFT OUTER JOIN (SELECT SUM(Fil_NipoU.nuZei + COALESCE(Fil_NipoU.nuSCZei,0)) AS t2Sum,Fil_NipoU.nuInpUNo AS t2Inp FROM Fil_NipoU GROUP BY Fil_NipoU.nuInpUNo) AS t2 ON t2.t2Inp=Fil_NipoU.nuInpUNo
LEFT OUTER JOIN Set_MstKbn AS ZeiRate ON Fil_NipoU.nuZeiRateKb = ZeiRate.smkSeqNo AND ZeiRate.smkTblID = 'KbnT_ZeiRate'
LEFT OUTER JOIN Set_MstKbn AS ZeiType ON COALESCE(Fil_NipoU.nuZeiType,0) = ZeiType.smkSeqNo AND ZeiType.smkTblID = 'KbnT_ZeiType'
LEFT OUTER JOIN Set_MstKbn AS ExchName ON Fil_NipoU.nuExchKb= ExchName.smkSeqNo AND  ExchName.smkTblID='KbnF_Exch'
GO

