IF OBJECT_ID('View_Mst_KojiBase') IS NOT NULL
	DROP VIEW View_Mst_KojiBase
GO

CREATE VIEW View_Mst_KojiBase
AS
SELECT Mst_KojiBase.KojiNo
	, Mst_KojiBase.KbNo
	, Mst_KojiBase.mkbKojiName
	, Mst_KojiBase.mkbRyakuName
	, Mst_KojiBase.mkbFurigana
	, Mst_KojiBase.mkbBasyo1
	, Mst_KojiBase.mkbBasyo2
	, Mst_KojiBase.mkbChumoncd
	, Mst_Chumon.mchChumon1 AS mkbChumonNm
	, Mst_KojiBase.mkbSeikyucd
	, Mst_KojiBase.mkbSeikyuNm
	, Mst_KojiBase.mkbDesigner
	, Mst_KojiBase.mkbGaiyo1
	, Mst_KojiBase.mkbGaiyo2
	, Mst_KojiBase.mkbGaiyo3
	, Mst_KojiBase.mkbGaiyo4
	, Mst_KojiBase.mkbBumoncd
	, Mst_Bumon.mbuBumon
	, Mst_KojiBase.mkbSyaincd01
	, Syain01.Syain AS Syain1
	, Mst_KojiBase.mkbSyaincd02
	, Syain02.Syain AS Syain2
	, Mst_KojiBase.mkbSyaincd03
	, Syain03.Syain AS Syain3
	, Mst_KojiBase.mkbSyaincd04
	, Syain04.Syain AS Syain4
	, Mst_KojiBase.mkbSyaincd05
	, Syain05.Syain AS Syain5
	, Mst_KojiBase.mkbSyaincd06
	, Syain06.Syain AS Syain6
	, MstKojiUkeoi.mkuJymd
	, MstKojiUkeoi.mkuKkYmd
	, MstKojiUkeoi.mkuKsYmd
	, Mst_KojiBase.mkbJkYmd
	, Mst_KojiBase.mkbJsYmd
	, MstKojiUkeoi.mkuSYmd
	, MstKojiUkeoi.mkuMaxSYmd
	, Mst_KojiBase.mkbEstimaNo
	, Mst_KojiBase.mkbEstKbNo
	, Fil_EstimaInfo.esiEstName
	, Mst_KojiBase.mkbSumKb
	, SumName.smkName AS mkbSumName
	, Mst_KojiBase.mkbHacchuKb
	, HacchuName.smkName AS mkbHacchuName
	, Mst_KojiBase.mkbProgressStdKb
	, ProgressName.smkName AS mkbProgressStdName
	, Mst_KojiBase.mkbProgressRate
	, Mst_KojiBase.mkbJVKb
	, JVName.smkName AS mkbJVName
	, Mst_KojiBase.mkbSeikyuPrtKb
	, SeikyuName.smkName AS mkbSeikyuPrtName
	, Mst_KojiBase.mkbKyokaiKb
	, KyokaiName.smkName AS mkbKyokaiName
	, Mst_KojiBase.mkbMemo1
	, Mst_KojiBase.mkbMemo2
	, Mst_KojiBase.mkbMemo3
	, Mst_KojiBase.mkbMemo4
	, Mst_KojiBase.mkbMemo5
	, Mst_KojiBase.mkbLinkInfo1
	, Mst_KojiBase.mkbLinkInfo2
	, Mst_KojiBase.mkbSyuruicd
	, SyuruiName.smkName AS mkbSyuruiName
	, Mst_KojiBase.mkbKencd
	, Mst_KojiBase.mkbFuken1
	, Mst_KojiBase.mkbAddrcd
	, Mst_KojiBase.mkbFuken2
	, Mst_KojiBase.mkbUkeoiKb
	, UkeoiName.smkName AS mkbUkeoiName
	, Mst_KojiBase.mkbExpectKb
	, ExpectName.smkName AS mkbExpectName
	, Mst_KojiBase.mkbIpanRate
	, Mst_KojiBase.mkbNipCtrlKb
	, NipCtrlName.smkName AS mkbNipCtrlName
	, Mst_KojiBase.mkbCustomercd
	, Mst_Customer.mctRyakuName
	, Mst_KojiBase.mkbJyocd1
	, JyoName1.smkName AS mkbJyoName1
	, Mst_KojiBase.mkbJyocd2
	, JyoName2.smkName AS mkbJyoName2
	, Mst_KojiBase.mkbJyocd3
	, JyoName3.smkName AS mkbJyoName3
	, Mst_KojiBase.mkbJyocd4
	, JyoName4.smkName AS mkbJyoName4
	, Mst_KojiBase.mkbJyocd5
	, JyoName5.smkName AS mkbJyoName5
	, Mst_KojiBase.mkbJyocd6
	, JyoName6.smkName AS mkbJyoName6
	, Mst_KojiBase.mkbJyocd7
	, JyoName7.smkName AS mkbJyoName7
	, Mst_KojiBase.mkbJyocd8
	, JyoName8.smkName AS mkbJyoName8
	, Mst_KojiBase.mkbJyoNm1
	, Mst_KojiBase.mkbJyoNm2
	, Mst_KojiBase.mkbTankaKb
	, TankaName.smkName AS mkbTankaName
	, Mst_KojiBase.mkbFloorSpace1
	, Mst_KojiBase.mkbFloorSpace2
	, Mst_KojiBase.mkbFloorSpace3
	, Mst_KojiBase.mkbFloorSpace4
	, Mst_KojiBase.mkbFloorSpace5
	, Mst_KojiBase.mkbFloorSpace6
	, mkbIsoKojiKb
	, (SELECT smkName FROM Set_MstKbn WHERE smkTblID = 'KbnF_YesNo6' AND smkSeqNo = mkbIsoKojiKb) mkbIsoKojiNm
	, mkbSecuKb
	, mkbChangeKb
	, mkbRosaiHokenKb
	, (SELECT smkName FROM Set_MstKbn WHERE smkTblID = 'Kbn_RosaiHoken' AND smkSeqNo = mkbRosaiHokenKb) mkbRosaiHokenNm
	, mkbJigyoSyuruiKb
	, (SELECT sjsJigyoSyuruiNm FROM Set_JigyoSyurui WHERE sjsJigyoSyuruiKb = mkbJigyoSyuruiKb) mkbJigyoSyuruiNm
	,mkbRomuhiRate
FROM Mst_KojiBase
LEFT JOIN Mst_Chumon
	ON Mst_KojiBase.mkbChumoncd = Mst_Chumon.Chumoncd
LEFT JOIN Mst_Bumon
	ON Mst_KojiBase.mkbBumoncd = Mst_Bumon.Bumoncd
LEFT JOIN Mst_Syain AS Syain01
	ON Mst_KojiBase.mkbSyaincd01 = Syain01.Syaincd
LEFT JOIN Mst_Syain AS Syain02
	ON Mst_KojiBase.mkbSyaincd02 = Syain02.Syaincd
LEFT JOIN Mst_Syain AS Syain03
	ON Mst_KojiBase.mkbSyaincd03 = Syain03.Syaincd
LEFT JOIN Mst_Syain AS Syain04
	ON Mst_KojiBase.mkbSyaincd04 = Syain04.Syaincd
LEFT JOIN Mst_Syain AS Syain05
	ON Mst_KojiBase.mkbSyaincd05 = Syain05.Syaincd
LEFT JOIN Mst_Syain AS Syain06
	ON Mst_KojiBase.mkbSyaincd06 = Syain06.Syaincd
LEFT JOIN (
	SELECT KojiNo
		, KbNo
		, MIN(mkuJYmd) AS mkuJymd
		, MIN(mkuKkYmd) AS mkuKkYmd
		, MAX(mkuKsYmd) AS mkuKsYmd
		, MIN(mkuSYmd) AS mkuSYmd
		, MAX(mkuSYmd) AS mkuMaxSYmd
	FROM Mst_KojiUkeoi
	GROUP BY KojiNo
		, KbNo
	) AS MstKojiUkeoi
	ON Mst_KojiBase.KojiNo = MstKojiUkeoi.KojiNo
		AND Mst_KojiBase.KbNo = MstKojiUkeoi.KbNo
LEFT JOIN Fil_EstimaInfo
	ON Mst_KojiBase.mkbEstimaNo = Fil_EstimaInfo.EstimaNo
		AND Mst_KojiBase.mkbEstKbNo = Fil_EstimaInfo.EstKbNo
LEFT JOIN Set_MstKbn AS SumName
	ON Mst_KojiBase.mkbSumKb = SumName.smkSeqNo
		AND SumName.smkTblID = 'Kbn_MstTypeKouji'
LEFT JOIN Set_MstKbn AS HacchuName
	ON Mst_KojiBase.mkbHacchuKb = HacchuName.smkSeqNo
		AND HacchuName.smkTblID = 'Kbn_Hacchu'
LEFT JOIN Set_MstKbn AS ProgressName
	ON Mst_KojiBase.mkbProgressStdKb = ProgressName.smkSeqNo
		AND ProgressName.smkTblID = 'Kbn_ProgressStd'
LEFT JOIN Set_MstKbn AS JVName
	ON Mst_KojiBase.mkbJVKb = JVName.smkSeqNo
		AND JVName.smkTblID = 'KbnF_JV'
LEFT JOIN Set_MstKbn AS SeikyuName
	ON Mst_KojiBase.mkbSeikyuPrtKb = SeikyuName.smkSeqNo
		AND SeikyuName.smkTblID = 'KbnF_YesNo1'
LEFT JOIN Set_MstKbn AS KyokaiName
	ON Mst_KojiBase.mkbKyokaiKb = KyokaiName.smkSeqNo
		AND KyokaiName.smkTblID = 'KbnF_YesNo6'
LEFT JOIN Set_MstKbn AS SyuruiName
	ON Mst_KojiBase.mkbSyuruicd = SyuruiName.smkSeqNo
		AND SyuruiName.smkTblID = 'Kbn_Syurui'
LEFT JOIN Set_MstKbn AS UkeoiName
	ON Mst_KojiBase.mkbUkeoiKb = UkeoiName.smkSeqNo
		AND UkeoiName.smkTblID = 'Kbn_Ukeoi'
LEFT JOIN Set_MstKbn AS ExpectName
	ON Mst_KojiBase.mkbExpectKb = ExpectName.smkSeqNo
		AND ExpectName.smkTblID = 'KbnF_Expect'
LEFT JOIN Set_MstKbn AS NipCtrlName
	ON Mst_KojiBase.mkbNipCtrlKb = NipCtrlName.smkSeqNo
		AND NipCtrlName.smkTblID = 'Kbn_NipCtrl'
LEFT JOIN Mst_Customer
	ON Mst_KojiBase.mkbCustomercd = Mst_Customer.Customercd
LEFT JOIN Set_MstKbn AS JyoName1
	ON Mst_KojiBase.mkbJyocd1 = JyoName1.smkSeqNo
		AND JyoName1.smkTblID = 'Mst_Jyoken1'
LEFT JOIN Set_MstKbn AS JyoName2
	ON Mst_KojiBase.mkbJyocd2 = JyoName2.smkSeqNo
		AND JyoName2.smkTblID = 'Mst_Jyoken2'
LEFT JOIN Set_MstKbn AS JyoName3
	ON Mst_KojiBase.mkbJyocd3 = JyoName3.smkSeqNo
		AND JyoName3.smkTblID = 'Mst_Jyoken3'
LEFT JOIN Set_MstKbn AS JyoName4
	ON Mst_KojiBase.mkbJyocd4 = JyoName4.smkSeqNo
		AND JyoName4.smkTblID = 'Mst_Jyoken4'
LEFT JOIN Set_MstKbn AS JyoName5
	ON Mst_KojiBase.mkbJyocd5 = JyoName5.smkSeqNo
		AND JyoName5.smkTblID = 'Mst_Jyoken5'
LEFT JOIN Set_MstKbn AS JyoName6
	ON Mst_KojiBase.mkbJyocd6 = JyoName6.smkSeqNo
		AND JyoName6.smkTblID = 'Mst_Jyoken6'
LEFT JOIN Set_MstKbn AS JyoName7
	ON Mst_KojiBase.mkbJyocd7 = JyoName7.smkSeqNo
		AND JyoName7.smkTblID = 'Mst_Jyoken7'
LEFT JOIN Set_MstKbn AS JyoName8
	ON Mst_KojiBase.mkbJyocd8 = JyoName8.smkSeqNo
		AND JyoName8.smkTblID = 'Mst_Jyoken8'
LEFT JOIN Set_MstKbn AS TankaName
	ON Mst_KojiBase.mkbTankaKb = TankaName.smkSeqNo
		AND TankaName.smkTblID = 'Kbn_Tanka'
GO